Uploaded image for project: 'Axis2'
  1. Axis2
  2. AXIS2-5476

Improve exception message on InvocationTargetException in BeanUtil.deserialize

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Trivial
    • Resolution: Unresolved
    • Affects Version/s: 1.6.2
    • Fix Version/s: None
    • Component/s: adb
    • Labels:
    • Environment:
      OS X 10.8

      Description

      Deserialize on InvocationTargetException just does a


      } catch (InvocationTargetException e) {
      throw new AxisFault("InvocationTargetException : " + e);

      which isn't that helpful for the one who has to solve it as most of the InvocationTargetException is then lost, I would recommend something along the lines


      } catch (InvocationTargetException e) {
      throw new AxisFault("InvocationTargetException [cause: "+ e.getCause() +"] [target: "+e.getTargetException()+"] :" + e);

        Attachments

        1. patch.diff
          0.7 kB
          Philippe Le Berre

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              pleberre Philippe Le Berre
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: